## class StartupWindow : public MainWindow

> Main window of the startup program.

## Inheritance:

### Public Methods

  | StartupWindow (const char *name)
  virtual | ~StartupWindow ()
  const char* | GetClassName ()
  void | Quit ()
  void | Project ()
  void | OpenDocument ()
  void | DrawingArea ()
  void | StartEditor (int editor, const string *filename = 0)
  void | StartTableEditor (unsigned rows, unsigned columns, unsigned cellwidth, unsigned cellheight)
  void | SetDrawingArea (unsigned idw, unsigned idh, unsigned mdw, unsigned mdh)
  void | SetProject (const string *s)
  void | OpenDocument (const string *s)
  void | SetStatus (const char *s)
  void | SetStatus (const string *s)
  FileSelectionDialog* | GetFileSelectionDialog ()
  FileSelectionDialog* | GetDirSelectionDialog ()
  TextFieldListDialog* | GetTableOptionsDialog ()
  TextFieldListDialog* | GetDrawingOptionsDialog ()
  static void | QuitCB (Widget, XtPointer, XtPointer)
  static void | HelpCB (Widget, XtPointer, XtPointer)
  static void | ProjectCB (Widget, XtPointer, XtPointer)
  static void | DocumentCB (Widget, XtPointer, XtPointer)
  static void | OpenDocumentCB (Widget, XtPointer, XtPointer)
  static void | DrawingAreaCB (Widget, XtPointer, XtPointer)
  static void | StartEditorCB (Widget, XtPointer, XtPointer)
  static void | StartTableEditorCB (Widget, XtPointer, XtPointer)
  static void | SetProjectCB (Widget, XtPointer, XtPointer)
  static void | SetDrawingAreaCB (Widget, XtPointer, XtPointer)

### Inherited from MainWindow:

### Public Methods

virtual void Initialize(int argc, char** argv, Config *config)
virtual void Finalize()
virtual void Manage()
virtual void Unmanage()
virtual void Iconify()
void ManageUnmapped()
void Close()
void SetTitle(const char *title)
void SetTitle(const string *title)
void SetIconName(const char *name)
void SetIconPixmap(Pixmap px)
void SetCursor(int cursorNum)
void SetSizeCursor(int cursorNum)
virtual int GetTool()
PrinterOptions* GetPrinterOptions()

### Protected Methods

virtual Widget CreateWorkArea(Widget, int argc, char** argv)
virtual void ParseUserOptions(int argc, char** argv)
virtual void CreateComponents(Widget window)
MouseCursor* GetCursor()
Config* GetConfig()

### Inherited from MWidget:

### Public Methods

bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> Main window of the startup program.

`StartupWindow(const char *name)`

`virtual ~StartupWindow()`

`const char* GetClassName()`

`void Quit()`

`void Project()`

`void OpenDocument()`

`void DrawingArea()`

`void StartEditor(int editor, const string *filename = 0)`

`void StartTableEditor(unsigned rows, unsigned columns, unsigned cellwidth, unsigned cellheight)`

`void SetDrawingArea(unsigned idw, unsigned idh, unsigned mdw, unsigned mdh)`

`void SetProject(const string *s)`

`void OpenDocument(const string *s)`

`void SetStatus(const char *s)`

`void SetStatus(const string *s)`

`FileSelectionDialog* GetFileSelectionDialog()`

`FileSelectionDialog* GetDirSelectionDialog()`

`TextFieldListDialog* GetTableOptionsDialog()`

`TextFieldListDialog* GetDrawingOptionsDialog()`

`static void QuitCB(Widget, XtPointer, XtPointer)`

`static void HelpCB(Widget, XtPointer, XtPointer)`

`static void ProjectCB(Widget, XtPointer, XtPointer)`

`static void DocumentCB(Widget, XtPointer, XtPointer)`

`static void OpenDocumentCB(Widget, XtPointer, XtPointer)`

`static void DrawingAreaCB(Widget, XtPointer, XtPointer)`

`static void StartEditorCB(Widget, XtPointer, XtPointer)`

`static void StartTableEditorCB(Widget, XtPointer, XtPointer)`

`static void SetProjectCB(Widget, XtPointer, XtPointer)`

`static void SetDrawingAreaCB(Widget, XtPointer, XtPointer)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de